%define upstream_name    MojoMojo
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Catalyst & DBIx::Class powered Wiki
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff) >= 1.190.100
BuildRequires: perl(Algorithm::Merge)
BuildRequires: perl(Archive::Zip) >= 1.140.0
BuildRequires: perl(Cache::FastMmap) >= 1.310.0
BuildRequires: perl(Catalyst) >= 5.710.10
BuildRequires: perl(Catalyst::Action::RenderView) >= 0.70.0
BuildRequires: perl(Catalyst::Authentication::Store::DBIx::Class) >= 0.101.0
BuildRequires: perl(Catalyst::Controller::HTML::FormFu) >= 0.30.70
BuildRequires: perl(Catalyst::Engine::PSGI)
BuildRequires: perl(Catalyst::Model::DBIC::Schema) >= 0.10.0
BuildRequires: perl(Catalyst::Plugin::Authentication) >= 0.100.50
BuildRequires: perl(Catalyst::Plugin::Cache) >= 0.80.0
BuildRequires: perl(Catalyst::Plugin::ConfigLoader) >= 0.130.0
BuildRequires: perl(Catalyst::Plugin::I18N)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie) >= 0.110.0
BuildRequires: perl(Catalyst::Plugin::Session::Store::Cache)
BuildRequires: perl(Catalyst::Plugin::Setenv)
BuildRequires: perl(Catalyst::Plugin::Static::Simple) >= 0.70.0
BuildRequires: perl(Catalyst::Plugin::SubRequest) >= 0.150.0
BuildRequires: perl(Catalyst::Plugin::Unicode) >= 0.800.0
BuildRequires: perl(Catalyst::View::Email) >= 0.140.0
BuildRequires: perl(Catalyst::View::Email::Template)
BuildRequires: perl(Catalyst::View::JSON) >= 0.260.0
BuildRequires: perl(Catalyst::View::TT) >= 0.230.0
BuildRequires: perl(Config::General)
BuildRequires: perl(Config::JFDI)
BuildRequires: perl(Crypt::CBC) >= 2.120.0
BuildRequires: perl(DBD::SQLite) >= 1.270.0
BuildRequires: perl(DBIx::Class) >= 0.80.0
BuildRequires: perl(DBIx::Class::DateTime::Epoch) >= 0.40.0
BuildRequires: perl(DBIx::Class::EncodedColumn)
BuildRequires: perl(DBIx::Class::TimeStamp) >= 0.110.0
BuildRequires: perl(Data::Page) >= 2.0.0
BuildRequires: perl(DateTime) >= 0.280.0
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(Directory::Scratch) >= 0.140.0
BuildRequires: perl(Email::Sender::Simple) >= 0.102.370
BuildRequires: perl(Encode) >= 2.310.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(FCGI::ProcManager)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::MMagic) >= 1.270.0
BuildRequires: perl(HTML::Entities) >= 3.600.0
BuildRequires: perl(HTML::FormFu) >= 0.20.0
BuildRequires: perl(HTML::FormFu::Element::reCAPTCHA)
BuildRequires: perl(HTML::FormFu::Model::DBIC)
BuildRequires: perl(HTML::Strip) >= 1.40.0
BuildRequires: perl(HTML::TagCloud)
BuildRequires: perl(HTML::Toc)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Image::ExifTool)
BuildRequires: perl(Image::Math::Constrain)
BuildRequires: perl(Imager)
BuildRequires: perl(KinoSearch1) >= 1.0.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(MRO::Compat) >= 0.100.0
BuildRequires: perl(Module::Pluggable::Ordered) >= 1.400.0
BuildRequires: perl(Moose)
BuildRequires: perl(Net::Amazon)
BuildRequires: perl(Number::Format)
BuildRequires: perl(Plack) >= 0.997.400
BuildRequires: perl(Pod::Simple::HTML) >= 3.10.0
BuildRequires: perl(SQL::Translator) >= 0.90.60
BuildRequires: perl(Syntax::Highlight::Engine::Kate)
BuildRequires: perl(Template) >= 2.200.0
BuildRequires: perl(Template::Plugin::JavaScript)
BuildRequires: perl(Term::Prompt)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::WWW::Mechanize::Catalyst) >= 0.510.0
BuildRequires: perl(Text::Context) >= 3.500.0
BuildRequires: perl(Text::MultiMarkdown) >= 1.0.32
BuildRequires: perl(Text::Password::Pronounceable)
BuildRequires: perl(Text::Textile)
BuildRequires: perl(URI) >= 1.370.0
BuildRequires: perl(URI::Fetch)
BuildRequires: perl(URI::Find)
BuildRequires: perl(WWW::Mechanize) >= 1.540.0
BuildRequires: perl(WWW::Mechanize::TreeBuilder) >= 1.100.0
BuildRequires: perl(XML::Feed)
BuildRequires: perl(XML::LibXML) >= 1.660.0
BuildRequires: perl(XML::LibXSLT) >= 1.660.0
BuildRequires: perl(YAML) >= 0.360.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Mojomojo is a sort of content management system, borrowing many concepts
from wikis and blogs. It allows you to maintain a full tree-structure of
pages, and to interlink them in various ways. It has full version support,
so you can always go back to a previous version and see what's changed with
an easy AJAX- based diff system. There are also a bunch of other features
like built-in fulltext search, live AJAX preview of editing, and RSS feeds
for every wiki page.

To find out more about how you can use MojoMojo, please visit
http://mojomojo.org or read the installation instructions in the
MojoMojo::Installation manpage to try it out yourself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes INSTALL META.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*

%changelog

* Fri Oct 14 2011 jquelin <jquelin> 1.50.0-1.mga2
+ Revision: 154894
- update to 1.05

* Sun Mar 13 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 70764
- update to 1.04

* Thu Feb 17 2011 dmorgan <dmorgan> 1.30.0-1.mga1
+ Revision: 52937
- New version

* Thu Jan 27 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 42082
- mageia rebuild
- imported package perl-MojoMojo

